List emails
Returns a paginated list of emails and a separate array of folders that the emails belong to.
- Type: integerpagemin:1
The page number of results you want to display. Use with
limit. - Type: integerlimitmin:1max:10000
Limit the number of results per page.
- Type: string Format: uuidparent
_folder _id Filter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory.
To list only items in the root folder, leave
parent_folder_idunset and only setdirect_descendants_onlytotrue. - Type: booleandirect
_descendants _only If true, this returns only children of the parent folder.
- Type: string enumsort
_by values- created
- updated
- name
- Type: string enumsort
_order values- asc
- desc
- Type: integer Format: Unix timestampcreated
_before Return records created before this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampcreated
_after Return records created after this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampupdated
_before Return records updated before this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampupdated
_after Return records updated after this time. Must be a unix timestamp.
- Type: string enumis
_template Filter by whether the email is a template
values- true
- false
- any
- Type: string enumhas
_translations Filter by whether the email has translations
values- true
- false
- any
- Type: string enumis
_linked Filter by whether the email is linked to a workflow (automation, broadcast, etc).
values- true
- false
- any
- application/json
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/design_studio/emails
{
"emails": [
{
"created": 1714732800,
"has_translations": true,
"id": "sdflkj345",
"is_linked": true,
"is_template": true,
"name": "string",
"parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
"updated": 1714732800
}
],
"folders": [
{
"created": 1714732800,
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Announcements",
"parent_folder_id": null,
"updated": 1714732800
}
],
"meta": {
"filters": {
"parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
"direct_descendants_only": true,
"sort_by": "created",
"sort_order": "desc",
"created_before": 1714732800,
"created_after": null,
"updated_before": null,
"updated_after": null
},
"pagination": {
"limit": 1,
"page": 1,
"total": 1
}
}
}Successful response